summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorwlemb <wlemb>2001-06-26 19:48:32 +0000
committerwlemb <wlemb>2001-06-26 19:48:32 +0000
commit040d8d615b47bc599f2833b9b3f8d8324a684923 (patch)
treedda1c96def6468bc8311b635927e4562a770194d
parentcda1c8789faf92c5cc53d77c3066c2cfc309550d (diff)
downloadgroff-040d8d615b47bc599f2833b9b3f8d8324a684923.tar.gz
* aclocal.m4: Replace AC_LANG_SAVE + AC_LANG_CPLUSPLUS with
AC_LANG_PUSH(C++) and AC_LANG_RESTORE with AC_LANG_POP(C++). * configure: Regenerated.
-rw-r--r--ChangeLog6
-rw-r--r--aclocal.m450
-rwxr-xr-xconfigure419
3 files changed, 232 insertions, 243 deletions
diff --git a/ChangeLog b/ChangeLog
index 249bb3f3..90b929a4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2001-06-26 Andras Salamon <andras@cs.wits.ac.za>
+
+ * aclocal.m4: Replace AC_LANG_SAVE + AC_LANG_CPLUSPLUS with
+ AC_LANG_PUSH(C++) and AC_LANG_RESTORE with AC_LANG_POP(C++).
+ * configure: Regenerated.
+
2001-06-25 Andras Salamon <andras@cs.wits.ac.za>
* aclocal.m4 (GROFF_PAGE): Fix page detection code.
diff --git a/aclocal.m4 b/aclocal.m4
index 141b29cc..83a68398 100644
--- a/aclocal.m4
+++ b/aclocal.m4
@@ -94,38 +94,35 @@ dnl
dnl
AC_DEFUN(GROFF_POSIX,
[AC_MSG_CHECKING([whether -D_POSIX_SOURCE is necessary])
-AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+AC_LANG_PUSH(C++)
AC_TRY_COMPILE([#include <stdio.h>
extern "C" { void fileno(int); }],,
AC_MSG_RESULT(yes);AC_DEFINE(_POSIX_SOURCE),
AC_MSG_RESULT(no))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
dnl srand() of SunOS 4.1.3 has return type int instead of void
dnl
AC_DEFUN(GROFF_SRAND,
-[AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+[AC_LANG_PUSH(C++)
AC_MSG_CHECKING([for return type of srand])
AC_TRY_COMPILE([#include <stdlib.h>
extern "C" { void srand(unsigned int); }],,
AC_MSG_RESULT(void);AC_DEFINE(RET_TYPE_SRAND_IS_VOID),
AC_MSG_RESULT(int))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
AC_DEFUN(GROFF_SYS_NERR,
-[AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+[AC_LANG_PUSH(C++)
AC_MSG_CHECKING([for sys_nerr in <errno.h> or <stdio.h>])
AC_TRY_COMPILE([#include <errno.h>
#include <stdio.h>],
[int k; k = sys_nerr;],
AC_MSG_RESULT(yes);AC_DEFINE(HAVE_SYS_NERR),
AC_MSG_RESULT(no))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
AC_DEFUN(GROFF_SYS_ERRLIST,
@@ -138,36 +135,33 @@ AC_MSG_RESULT(no))])dnl
dnl
dnl
AC_DEFUN(GROFF_OSFCN_H,
-[AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+[AC_LANG_PUSH(C++)
AC_MSG_CHECKING([C++ <osfcn.h>])
AC_TRY_COMPILE([#include <osfcn.h>],
[read(0, 0, 0); open(0, 0);],
AC_MSG_RESULT(yes);AC_DEFINE(HAVE_CC_OSFCN_H),
AC_MSG_RESULT(no))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
AC_DEFUN(GROFF_LIMITS_H,
-[AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+[AC_LANG_PUSH(C++)
AC_MSG_CHECKING([C++ <limits.h>])
AC_TRY_COMPILE([#include <limits.h>],
[int x = INT_MIN; int y = INT_MAX; int z = UCHAR_MAX;],
AC_MSG_RESULT(yes);AC_DEFINE(HAVE_CC_LIMITS_H),
AC_MSG_RESULT(no))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
AC_DEFUN(GROFF_TIME_T,
-[AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+[AC_LANG_PUSH(C++)
AC_MSG_CHECKING([for declaration of time_t])
AC_TRY_COMPILE([#include <time.h>],
[time_t t = time(0); struct tm *p = localtime(&t);],
AC_MSG_RESULT(yes),
AC_MSG_RESULT(no);AC_DEFINE(LONG_FOR_TIME_T))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
AC_DEFUN(GROFF_STRUCT_EXCEPTION,
@@ -179,26 +173,24 @@ AC_MSG_RESULT(no))])dnl
dnl
dnl
AC_DEFUN(GROFF_ARRAY_DELETE,
-[AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+[AC_LANG_PUSH(C++)
AC_MSG_CHECKING([whether ANSI array delete syntax supported])
AC_TRY_COMPILE(,
changequote(,)dnl
char *p = new char[5]; delete [] p;changequote([,]),
AC_MSG_RESULT(yes),
AC_MSG_RESULT(no);AC_DEFINE(ARRAY_DELETE_NEEDS_SIZE))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
dnl
AC_DEFUN(GROFF_TRADITIONAL_CPP,
-[AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+[AC_LANG_PUSH(C++)
AC_MSG_CHECKING([traditional preprocessor])
AC_TRY_COMPILE([#define name2(a,b) a/**/b],[int name2(foo,bar);],
AC_MSG_RESULT(yes);AC_DEFINE(TRADITIONAL_CPP),
AC_MSG_RESULT(no))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
AC_DEFUN(GROFF_WCOREFLAG,
@@ -274,8 +266,7 @@ dnl
dnl
AC_DEFUN(GROFF_CXX_CHECK,
[AC_REQUIRE([AC_PROG_CXX])
-AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+AC_LANG_PUSH(C++)
if test "$cross_compiling" = no; then
AC_MSG_CHECKING([that C++ compiler can compile simple program])
fi
@@ -307,7 +298,7 @@ AC_TRY_LINK([#include <stdio.h>],
[fopen(0, 0);],
AC_MSG_RESULT(yes),
AC_MSG_RESULT(no);AC_MSG_ERROR([header files do not support C++ (if you are using a version of gcc/g++ earlier than 2.5, you should install libg++)]))
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
AC_DEFUN(GROFF_TMAC,
@@ -454,8 +445,7 @@ dnl Stolen from GNU bfd.
dnl
AC_DEFUN(GROFF_NEED_DECLARATION,
[AC_MSG_CHECKING([whether $1 must be declared])
-AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
+AC_LANG_PUSH(C++)
AC_CACHE_VAL(groff_cv_decl_needed_$1,
[AC_TRY_COMPILE([
#include <stdio.h>
@@ -481,7 +471,7 @@ AC_MSG_RESULT($groff_cv_decl_needed_$1)
if test $groff_cv_decl_needed_$1 = yes; then
AC_DEFINE([NEED_DECLARATION_]translit($1, [a-z], [A-Z]))
fi
-AC_LANG_RESTORE])dnl
+AC_LANG_POP(C++)])dnl
dnl
dnl
dnl Check for mkstemp() and its function prototype.
diff --git a/configure b/configure
index f36c4ca7..e5b65803 100755
--- a/configure
+++ b/configure
@@ -2725,7 +2725,6 @@ echo "${ECHO_T}no" >&6
fi
echo "$as_me:2726: checking whether -D_POSIX_SOURCE is necessary" >&5
echo $ECHO_N "checking whether -D_POSIX_SOURCE is necessary... $ECHO_C" >&6
-
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -2733,7 +2732,7 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
cat >conftest.$ac_ext <<_ACEOF
-#line 2736 "configure"
+#line 2735 "configure"
#include "confdefs.h"
#include <stdio.h>
extern "C" { void fileno(int); }
@@ -2746,18 +2745,18 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2749: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2748: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2752: \$? = $ac_status" >&5
+ echo "$as_me:2751: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2755: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2754: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2758: \$? = $ac_status" >&5
+ echo "$as_me:2757: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:2760: result: yes" >&5
+ echo "$as_me:2759: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define _POSIX_SOURCE 1
EOF
@@ -2765,7 +2764,7 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:2768: result: no" >&5
+echo "$as_me:2767: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -2781,10 +2780,10 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:2784: checking for return type of srand" >&5
+echo "$as_me:2783: checking for return type of srand" >&5
echo $ECHO_N "checking for return type of srand... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 2787 "configure"
+#line 2786 "configure"
#include "confdefs.h"
#include <stdlib.h>
extern "C" { void srand(unsigned int); }
@@ -2797,18 +2796,18 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2800: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2799: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2803: \$? = $ac_status" >&5
+ echo "$as_me:2802: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2806: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2805: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2809: \$? = $ac_status" >&5
+ echo "$as_me:2808: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:2811: result: void" >&5
+ echo "$as_me:2810: result: void" >&5
echo "${ECHO_T}void" >&6;cat >>confdefs.h <<\EOF
#define RET_TYPE_SRAND_IS_VOID 1
EOF
@@ -2816,7 +2815,7 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:2819: result: int" >&5
+echo "$as_me:2818: result: int" >&5
echo "${ECHO_T}int" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -2826,9 +2825,8 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:2829: checking whether hypot must be declared" >&5
+echo "$as_me:2828: checking whether hypot must be declared" >&5
echo $ECHO_N "checking whether hypot must be declared... $ECHO_C" >&6
-
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -2839,7 +2837,7 @@ if test "${groff_cv_decl_needed_hypot+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 2842 "configure"
+#line 2840 "configure"
#include "confdefs.h"
#include <stdio.h>
@@ -2867,16 +2865,16 @@ char *(*pfn) = (char *(*)) hypot
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2870: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2868: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2873: \$? = $ac_status" >&5
+ echo "$as_me:2871: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2876: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2874: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2879: \$? = $ac_status" >&5
+ echo "$as_me:2877: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
groff_cv_decl_needed_hypot=no
else
@@ -2887,7 +2885,7 @@ fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:2890: result: $groff_cv_decl_needed_hypot" >&5
+echo "$as_me:2888: result: $groff_cv_decl_needed_hypot" >&5
echo "${ECHO_T}$groff_cv_decl_needed_hypot" >&6
if test $groff_cv_decl_needed_hypot = yes; then
cat >>confdefs.h <<\EOF
@@ -2901,9 +2899,8 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:2904: checking whether popen must be declared" >&5
+echo "$as_me:2902: checking whether popen must be declared" >&5
echo $ECHO_N "checking whether popen must be declared... $ECHO_C" >&6
-
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -2914,7 +2911,7 @@ if test "${groff_cv_decl_needed_popen+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 2917 "configure"
+#line 2914 "configure"
#include "confdefs.h"
#include <stdio.h>
@@ -2942,16 +2939,16 @@ char *(*pfn) = (char *(*)) popen
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2945: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2942: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:2948: \$? = $ac_status" >&5
+ echo "$as_me:2945: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:2951: \"$ac_try\"") >&5
+ { (eval echo "$as_me:2948: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:2954: \$? = $ac_status" >&5
+ echo "$as_me:2951: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
groff_cv_decl_needed_popen=no
else
@@ -2962,7 +2959,7 @@ fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:2965: result: $groff_cv_decl_needed_popen" >&5
+echo "$as_me:2962: result: $groff_cv_decl_needed_popen" >&5
echo "${ECHO_T}$groff_cv_decl_needed_popen" >&6
if test $groff_cv_decl_needed_popen = yes; then
cat >>confdefs.h <<\EOF
@@ -2976,9 +2973,8 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:2979: checking whether pclose must be declared" >&5
+echo "$as_me:2976: checking whether pclose must be declared" >&5
echo $ECHO_N "checking whether pclose must be declared... $ECHO_C" >&6
-
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -2989,7 +2985,7 @@ if test "${groff_cv_decl_needed_pclose+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 2992 "configure"
+#line 2988 "configure"
#include "confdefs.h"
#include <stdio.h>
@@ -3017,16 +3013,16 @@ char *(*pfn) = (char *(*)) pclose
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3020: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3016: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3023: \$? = $ac_status" >&5
+ echo "$as_me:3019: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3026: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3022: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3029: \$? = $ac_status" >&5
+ echo "$as_me:3025: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
groff_cv_decl_needed_pclose=no
else
@@ -3037,7 +3033,7 @@ fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:3040: result: $groff_cv_decl_needed_pclose" >&5
+echo "$as_me:3036: result: $groff_cv_decl_needed_pclose" >&5
echo "${ECHO_T}$groff_cv_decl_needed_pclose" >&6
if test $groff_cv_decl_needed_pclose = yes; then
cat >>confdefs.h <<\EOF
@@ -3051,9 +3047,8 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:3054: checking whether putenv must be declared" >&5
+echo "$as_me:3050: checking whether putenv must be declared" >&5
echo $ECHO_N "checking whether putenv must be declared... $ECHO_C" >&6
-
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -3064,7 +3059,7 @@ if test "${groff_cv_decl_needed_putenv+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3067 "configure"
+#line 3062 "configure"
#include "confdefs.h"
#include <stdio.h>
@@ -3092,16 +3087,16 @@ char *(*pfn) = (char *(*)) putenv
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3095: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3090: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3098: \$? = $ac_status" >&5
+ echo "$as_me:3093: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3101: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3096: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3104: \$? = $ac_status" >&5
+ echo "$as_me:3099: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
groff_cv_decl_needed_putenv=no
else
@@ -3112,7 +3107,7 @@ fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:3115: result: $groff_cv_decl_needed_putenv" >&5
+echo "$as_me:3110: result: $groff_cv_decl_needed_putenv" >&5
echo "${ECHO_T}$groff_cv_decl_needed_putenv" >&6
if test $groff_cv_decl_needed_putenv = yes; then
cat >>confdefs.h <<\EOF
@@ -3126,9 +3121,8 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:3129: checking whether strncasecmp must be declared" >&5
+echo "$as_me:3124: checking whether strncasecmp must be declared" >&5
echo $ECHO_N "checking whether strncasecmp must be declared... $ECHO_C" >&6
-
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -3139,7 +3133,7 @@ if test "${groff_cv_decl_needed_strncasecmp+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3142 "configure"
+#line 3136 "configure"
#include "confdefs.h"
#include <stdio.h>
@@ -3167,16 +3161,16 @@ char *(*pfn) = (char *(*)) strncasecmp
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3170: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3164: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3173: \$? = $ac_status" >&5
+ echo "$as_me:3167: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3176: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3170: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3179: \$? = $ac_status" >&5
+ echo "$as_me:3173: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
groff_cv_decl_needed_strncasecmp=no
else
@@ -3187,7 +3181,7 @@ fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:3190: result: $groff_cv_decl_needed_strncasecmp" >&5
+echo "$as_me:3184: result: $groff_cv_decl_needed_strncasecmp" >&5
echo "${ECHO_T}$groff_cv_decl_needed_strncasecmp" >&6
if test $groff_cv_decl_needed_strncasecmp = yes; then
cat >>confdefs.h <<\EOF
@@ -3207,10 +3201,10 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:3210: checking for sys_nerr in <errno.h> or <stdio.h>" >&5
+echo "$as_me:3204: checking for sys_nerr in <errno.h> or <stdio.h>" >&5
echo $ECHO_N "checking for sys_nerr in <errno.h> or <stdio.h>... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 3213 "configure"
+#line 3207 "configure"
#include "confdefs.h"
#include <errno.h>
#include <stdio.h>
@@ -3223,18 +3217,18 @@ int k; k = sys_nerr;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3226: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3220: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3229: \$? = $ac_status" >&5
+ echo "$as_me:3223: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3232: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3226: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3235: \$? = $ac_status" >&5
+ echo "$as_me:3229: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:3237: result: yes" >&5
+ echo "$as_me:3231: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define HAVE_SYS_NERR 1
EOF
@@ -3242,7 +3236,7 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:3245: result: no" >&5
+echo "$as_me:3239: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -3252,10 +3246,10 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:3255: checking for sys_errlist in <errno.h> or <stdio.h>" >&5
+echo "$as_me:3249: checking for sys_errlist in <errno.h> or <stdio.h>" >&5
echo $ECHO_N "checking for sys_errlist in <errno.h> or <stdio.h>... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 3258 "configure"
+#line 3252 "configure"
#include "confdefs.h"
#include <errno.h>
#include <stdio.h>
@@ -3268,18 +3262,18 @@ int k; k = (int)sys_errlist[0];
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3271: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3265: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3274: \$? = $ac_status" >&5
+ echo "$as_me:3268: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3277: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3271: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3280: \$? = $ac_status" >&5
+ echo "$as_me:3274: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:3282: result: yes" >&5
+ echo "$as_me:3276: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define HAVE_SYS_ERRLIST 1
EOF
@@ -3287,21 +3281,20 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:3290: result: no" >&5
+echo "$as_me:3284: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
-
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:3301: checking C++ <osfcn.h>" >&5
+echo "$as_me:3294: checking C++ <osfcn.h>" >&5
echo $ECHO_N "checking C++ <osfcn.h>... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 3304 "configure"
+#line 3297 "configure"
#include "confdefs.h"
#include <osfcn.h>
int
@@ -3313,18 +3306,18 @@ read(0, 0, 0); open(0, 0);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3316: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3309: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3319: \$? = $ac_status" >&5
+ echo "$as_me:3312: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3322: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3315: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3325: \$? = $ac_status" >&5
+ echo "$as_me:3318: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:3327: result: yes" >&5
+ echo "$as_me:3320: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define HAVE_CC_OSFCN_H 1
EOF
@@ -3332,7 +3325,7 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:3335: result: no" >&5
+echo "$as_me:3328: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -3348,10 +3341,10 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:3351: checking C++ <limits.h>" >&5
+echo "$as_me:3344: checking C++ <limits.h>" >&5
echo $ECHO_N "checking C++ <limits.h>... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 3354 "configure"
+#line 3347 "configure"
#include "confdefs.h"
#include <limits.h>
int
@@ -3363,18 +3356,18 @@ int x = INT_MIN; int y = INT_MAX; int z = UCHAR_MAX;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3366: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3359: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3369: \$? = $ac_status" >&5
+ echo "$as_me:3362: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3372: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3365: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3375: \$? = $ac_status" >&5
+ echo "$as_me:3368: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:3377: result: yes" >&5
+ echo "$as_me:3370: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define HAVE_CC_LIMITS_H 1
EOF
@@ -3382,7 +3375,7 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:3385: result: no" >&5
+echo "$as_me:3378: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -3398,10 +3391,10 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:3401: checking for declaration of time_t" >&5
+echo "$as_me:3394: checking for declaration of time_t" >&5
echo $ECHO_N "checking for declaration of time_t... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 3404 "configure"
+#line 3397 "configure"
#include "confdefs.h"
#include <time.h>
int
@@ -3413,23 +3406,23 @@ time_t t = time(0); struct tm *p = localtime(&t);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3416: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3409: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3419: \$? = $ac_status" >&5
+ echo "$as_me:3412: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3422: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3415: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3425: \$? = $ac_status" >&5
+ echo "$as_me:3418: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:3427: result: yes" >&5
+ echo "$as_me:3420: result: yes" >&5
echo "${ECHO_T}yes" >&6
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:3432: result: no" >&5
+echo "$as_me:3425: result: no" >&5
echo "${ECHO_T}no" >&6;cat >>confdefs.h <<\EOF
#define LONG_FOR_TIME_T 1
EOF
@@ -3442,13 +3435,13 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:3445: checking return type of signal handlers" >&5
+echo "$as_me:3438: checking return type of signal handlers" >&5
echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
if test "${ac_cv_type_signal+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3451 "configure"
+#line 3444 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
@@ -3470,16 +3463,16 @@ int i;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3473: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3466: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3476: \$? = $ac_status" >&5
+ echo "$as_me:3469: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3479: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3472: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3482: \$? = $ac_status" >&5
+ echo "$as_me:3475: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_signal=void
else
@@ -3489,17 +3482,17 @@ ac_cv_type_signal=int
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:3492: result: $ac_cv_type_signal" >&5
+echo "$as_me:3485: result: $ac_cv_type_signal" >&5
echo "${ECHO_T}$ac_cv_type_signal" >&6
cat >>confdefs.h <<EOF
#define RETSIGTYPE $ac_cv_type_signal
EOF
-echo "$as_me:3499: checking struct exception" >&5
+echo "$as_me:3492: checking struct exception" >&5
echo $ECHO_N "checking struct exception... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 3502 "configure"
+#line 3495 "configure"
#include "confdefs.h"
#include <math.h>
int
@@ -3511,18 +3504,18 @@ struct exception e;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3514: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3507: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:3517: \$? = $ac_status" >&5
+ echo "$as_me:3510: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:3520: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3513: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3523: \$? = $ac_status" >&5
+ echo "$as_me:3516: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:3525: result: yes" >&5
+ echo "$as_me:3518: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define HAVE_STRUCT_EXCEPTION 1
EOF
@@ -3530,11 +3523,11 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:3533: result: no" >&5
+echo "$as_me:3526: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:3537: checking for sin in -lm" >&5
+echo "$as_me:3530: checking for sin in -lm" >&5
echo $ECHO_N "checking for sin in -lm... $ECHO_C" >&6
if test "${ac_cv_lib_m_sin+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3542,7 +3535,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 3545 "configure"
+#line 3538 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@@ -3561,16 +3554,16 @@ sin ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3564: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3557: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3567: \$? = $ac_status" >&5
+ echo "$as_me:3560: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3570: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3563: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3573: \$? = $ac_status" >&5
+ echo "$as_me:3566: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_m_sin=yes
else
@@ -3581,7 +3574,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:3584: result: $ac_cv_lib_m_sin" >&5
+echo "$as_me:3577: result: $ac_cv_lib_m_sin" >&5
echo "${ECHO_T}$ac_cv_lib_m_sin" >&6
if test $ac_cv_lib_m_sin = yes; then
LIBM=-lm
@@ -3590,23 +3583,23 @@ fi
for ac_header in stdlib.h unistd.h
do
ac_ac_Header=`echo "ac_cv_header_$ac_header" | $ac_tr_sh`
-echo "$as_me:3593: checking for $ac_header" >&5
+echo "$as_me:3586: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$ac_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3599 "configure"
+#line 3592 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:3603: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:3596: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:3609: \$? = $ac_status" >&5
+ echo "$as_me:3602: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -3625,7 +3618,7 @@ else
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:3628: result: `eval echo '${'$ac_ac_Header'}'`" >&5
+echo "$as_me:3621: result: `eval echo '${'$ac_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$ac_ac_Header'}'`" >&6
if test `eval echo '${'$ac_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -3638,13 +3631,13 @@ done
for ac_func in getpagesize
do
ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
-echo "$as_me:3641: checking for $ac_func" >&5
+echo "$as_me:3634: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$ac_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3647 "configure"
+#line 3640 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@@ -3675,16 +3668,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3678: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3671: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3681: \$? = $ac_status" >&5
+ echo "$as_me:3674: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3684: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3677: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3687: \$? = $ac_status" >&5
+ echo "$as_me:3680: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$ac_ac_var=yes"
else
@@ -3694,7 +3687,7 @@ eval "$ac_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:3697: result: `eval echo '${'$ac_ac_var'}'`" >&5
+echo "$as_me:3690: result: `eval echo '${'$ac_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$ac_ac_var'}'`" >&6
if test `eval echo '${'$ac_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -3704,7 +3697,7 @@ EOF
fi
done
-echo "$as_me:3707: checking for working mmap" >&5
+echo "$as_me:3700: checking for working mmap" >&5
echo $ECHO_N "checking for working mmap... $ECHO_C" >&6
if test "${ac_cv_func_mmap_fixed_mapped+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3713,7 +3706,7 @@ else
ac_cv_func_mmap_fixed_mapped=no
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3716 "configure"
+#line 3709 "configure"
#include "confdefs.h"
/* Thanks to Mike Haertel and Jim Avera for this test.
Here is a matrix of mmap possibilities:
@@ -3845,15 +3838,15 @@ main ()
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:3848: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3841: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3851: \$? = $ac_status" >&5
+ echo "$as_me:3844: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:3853: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3846: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3856: \$? = $ac_status" >&5
+ echo "$as_me:3849: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_mmap_fixed_mapped=yes
else
@@ -3865,7 +3858,7 @@ fi
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_ext
fi
fi
-echo "$as_me:3868: result: $ac_cv_func_mmap_fixed_mapped" >&5
+echo "$as_me:3861: result: $ac_cv_func_mmap_fixed_mapped" >&5
echo "${ECHO_T}$ac_cv_func_mmap_fixed_mapped" >&6
if test $ac_cv_func_mmap_fixed_mapped = yes; then
@@ -3882,13 +3875,13 @@ LIBS="$LIBS -lc $LIBM"
for ac_func in fmod strtol getcwd strerror putenv
do
ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
-echo "$as_me:3885: checking for $ac_func" >&5
+echo "$as_me:3878: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$ac_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3891 "configure"
+#line 3884 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@@ -3919,16 +3912,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3922: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3915: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3925: \$? = $ac_status" >&5
+ echo "$as_me:3918: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:3928: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3921: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:3931: \$? = $ac_status" >&5
+ echo "$as_me:3924: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$ac_ac_var=yes"
else
@@ -3938,7 +3931,7 @@ eval "$ac_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:3941: result: `eval echo '${'$ac_ac_var'}'`" >&5
+echo "$as_me:3934: result: `eval echo '${'$ac_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$ac_ac_var'}'`" >&6
if test `eval echo '${'$ac_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -3955,13 +3948,13 @@ LIBS="$saved_libs"
for ac_func in rename strcasecmp strncasecmp strsep strdup
do
ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
-echo "$as_me:3958: checking for $ac_func" >&5
+echo "$as_me:3951: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$ac_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 3964 "configure"
+#line 3957 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@@ -3992,16 +3985,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3995: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3988: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:3998: \$? = $ac_status" >&5
+ echo "$as_me:3991: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:4001: \"$ac_try\"") >&5
+ { (eval echo "$as_me:3994: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4004: \$? = $ac_status" >&5
+ echo "$as_me:3997: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$ac_ac_var=yes"
else
@@ -4011,7 +4004,7 @@ eval "$ac_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:4014: result: `eval echo '${'$ac_ac_var'}'`" >&5
+echo "$as_me:4007: result: `eval echo '${'$ac_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$ac_ac_var'}'`" >&6
if test `eval echo '${'$ac_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -4021,13 +4014,13 @@ EOF
fi
done
-echo "$as_me:4024: checking for mkstemp" >&5
+echo "$as_me:4017: checking for mkstemp" >&5
echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
if test "${ac_cv_func_mkstemp+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 4030 "configure"
+#line 4023 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char mkstemp (); below. */
@@ -4058,16 +4051,16 @@ f = mkstemp;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4061: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4054: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:4064: \$? = $ac_status" >&5
+ echo "$as_me:4057: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:4067: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4060: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4070: \$? = $ac_status" >&5
+ echo "$as_me:4063: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_mkstemp=yes
else
@@ -4077,42 +4070,42 @@ ac_cv_func_mkstemp=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:4080: result: $ac_cv_func_mkstemp" >&5
+echo "$as_me:4073: result: $ac_cv_func_mkstemp" >&5
echo "${ECHO_T}$ac_cv_func_mkstemp" >&6
if test $ac_cv_func_mkstemp = yes; then
cat >>confdefs.h <<\EOF
#define HAVE_MKSTEMP 1
EOF
-echo "$as_me:4087: checking for mkstemp prototype in <stdlib.h>" >&5
+echo "$as_me:4080: checking for mkstemp prototype in <stdlib.h>" >&5
echo $ECHO_N "checking for mkstemp prototype in <stdlib.h>... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 4090 "configure"
+#line 4083 "configure"
#include "confdefs.h"
#include <stdlib.h>
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "mkstemp" >/dev/null 2>&1; then
- echo "$as_me:4096: result: yes" >&5
+ echo "$as_me:4089: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define HAVE_MKSTEMP_PROTO 1
EOF
else
- echo "$as_me:4102: result: no" >&5
+ echo "$as_me:4095: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest*
fi
-echo "$as_me:4109: checking for sys_siglist declaration in signal.h or unistd.h" >&5
+echo "$as_me:4102: checking for sys_siglist declaration in signal.h or unistd.h" >&5
echo $ECHO_N "checking for sys_siglist declaration in signal.h or unistd.h... $ECHO_C" >&6
if test "${ac_cv_decl_sys_siglist+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 4115 "configure"
+#line 4108 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
@@ -4130,16 +4123,16 @@ char *msg = *(sys_siglist + 1);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4133: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4126: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:4136: \$? = $ac_status" >&5
+ echo "$as_me:4129: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:4139: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4132: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4142: \$? = $ac_status" >&5
+ echo "$as_me:4135: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_decl_sys_siglist=yes
else
@@ -4149,7 +4142,7 @@ ac_cv_decl_sys_siglist=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:4152: result: $ac_cv_decl_sys_siglist" >&5
+echo "$as_me:4145: result: $ac_cv_decl_sys_siglist" >&5
echo "${ECHO_T}$ac_cv_decl_sys_siglist" >&6
if test $ac_cv_decl_sys_siglist = yes; then
@@ -4165,10 +4158,10 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:4168: checking whether ANSI array delete syntax supported" >&5
+echo "$as_me:4161: checking whether ANSI array delete syntax supported" >&5
echo $ECHO_N "checking whether ANSI array delete syntax supported... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 4171 "configure"
+#line 4164 "configure"
#include "confdefs.h"
int
@@ -4180,23 +4173,23 @@ char *p = new char[5]; delete [] p;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4183: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4176: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:4186: \$? = $ac_status" >&5
+ echo "$as_me:4179: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:4189: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4182: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4192: \$? = $ac_status" >&5
+ echo "$as_me:4185: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:4194: result: yes" >&5
+ echo "$as_me:4187: result: yes" >&5
echo "${ECHO_T}yes" >&6
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:4199: result: no" >&5
+echo "$as_me:4192: result: no" >&5
echo "${ECHO_T}no" >&6;cat >>confdefs.h <<\EOF
#define ARRAY_DELETE_NEEDS_SIZE 1
EOF
@@ -4215,10 +4208,10 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:4218: checking traditional preprocessor" >&5
+echo "$as_me:4211: checking traditional preprocessor" >&5
echo $ECHO_N "checking traditional preprocessor... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 4221 "configure"
+#line 4214 "configure"
#include "confdefs.h"
#define name2(a,b) a/**/b
int
@@ -4230,18 +4223,18 @@ int name2(foo,bar);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4233: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4226: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:4236: \$? = $ac_status" >&5
+ echo "$as_me:4229: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:4239: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4232: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4242: \$? = $ac_status" >&5
+ echo "$as_me:4235: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:4244: result: yes" >&5
+ echo "$as_me:4237: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define TRADITIONAL_CPP 1
EOF
@@ -4249,7 +4242,7 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:4252: result: no" >&5
+echo "$as_me:4245: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -4259,14 +4252,14 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:4262: checking w_coredump" >&5
+echo "$as_me:4255: checking w_coredump" >&5
echo $ECHO_N "checking w_coredump... $ECHO_C" >&6
if test "$cross_compiling" = yes; then
- echo "$as_me:4265: result: no" >&5
+ echo "$as_me:4258: result: no" >&5
echo "${ECHO_T}no" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 4269 "configure"
+#line 4262 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/wait.h>
@@ -4282,17 +4275,17 @@ main()
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:4285: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4278: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:4288: \$? = $ac_status" >&5
+ echo "$as_me:4281: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:4290: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4283: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4293: \$? = $ac_status" >&5
+ echo "$as_me:4286: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:4295: result: yes" >&5
+ echo "$as_me:4288: result: yes" >&5
echo "${ECHO_T}yes" >&6;cat >>confdefs.h <<\EOF
#define WCOREFLAG 0200
EOF
@@ -4301,18 +4294,18 @@ else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:4304: result: no" >&5
+echo "$as_me:4297: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:4309: checking default value for grops -b option" >&5
+echo "$as_me:4302: checking default value for grops -b option" >&5
echo $ECHO_N "checking default value for grops -b option... $ECHO_C" >&6
test -n "${BROKEN_SPOOLER_FLAGS}" || BROKEN_SPOOLER_FLAGS=7
-echo "$as_me:4312: result: $BROKEN_SPOOLER_FLAGS" >&5
+echo "$as_me:4305: result: $BROKEN_SPOOLER_FLAGS" >&5
echo "${ECHO_T}$BROKEN_SPOOLER_FLAGS" >&6
-echo "$as_me:4315: checking default paper size" >&5
+echo "$as_me:4308: checking default paper size" >&5
echo $ECHO_N "checking default paper size... $ECHO_C" >&6
if test -z "$PAGE"; then
descfile=
@@ -4351,22 +4344,22 @@ if test -z "$PAGE"; then
esac
fi
test -n "$PAGE" || PAGE=letter
-echo "$as_me:4354: result: $PAGE" >&5
+echo "$as_me:4347: result: $PAGE" >&5
echo "${ECHO_T}$PAGE" >&6
-echo "$as_me:4357: checking for existing troff installation" >&5
+echo "$as_me:4350: checking for existing troff installation" >&5
echo $ECHO_N "checking for existing troff installation... $ECHO_C" >&6
if test "x`(echo .tm '|n(.g' | tr '|' '\\\\' | troff -z -i 2>&1) 2>/dev/null`" = x0; then
- echo "$as_me:4360: result: yes" >&5
+ echo "$as_me:4353: result: yes" >&5
echo "${ECHO_T}yes" >&6
g=g
else
- echo "$as_me:4364: result: no" >&5
+ echo "$as_me:4357: result: no" >&5
echo "${ECHO_T}no" >&6
g=
fi
-echo "$as_me:4369: checking for prefix of system macro packages" >&5
+echo "$as_me:4362: checking for prefix of system macro packages" >&5
echo $ECHO_N "checking for prefix of system macro packages... $ECHO_C" >&6
sys_tmac_prefix=
sys_tmac_file_prefix=
@@ -4383,11 +4376,11 @@ for d in /usr/share/lib/tmac /usr/lib/tmac; do
done
done
done
-echo "$as_me:4386: result: $sys_tmac_prefix" >&5
+echo "$as_me:4379: result: $sys_tmac_prefix" >&5
echo "${ECHO_T}$sys_tmac_prefix" >&6
tmac_wrap=
-echo "$as_me:4390: checking which system macro packages should be made available" >&5
+echo "$as_me:4383: checking which system macro packages should be made available" >&5
echo $ECHO_N "checking which system macro packages should be made available... $ECHO_C" >&6
if test "x$sys_tmac_file_prefix" = "xtmac."; then
for f in $sys_tmac_prefix*; do
@@ -4423,7 +4416,7 @@ elif test -n "$sys_tmac_prefix"; then
done
rm -f conftest.sol
fi
-echo "$as_me:4426: result: $tmac_wrap" >&5
+echo "$as_me:4419: result: $tmac_wrap" >&5
echo "${ECHO_T}$tmac_wrap" >&6
$srcdir/mkinstalldirs src/xditview
@@ -4538,7 +4531,7 @@ rm -f confdef2opt.sed
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:4541: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:4534: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -4706,7 +4699,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:4709: error: ambiguous option: $1
+ { { echo "$as_me:4702: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -4729,12 +4722,12 @@ Try \`$0 --help' for more information." >&2;}
'src/xditview/Imakefile' ) CONFIG_FILES="$CONFIG_FILES src/xditview/Imakefile" ;;
# This is an error.
- -*) { { echo "$as_me:4732: error: unrecognized option: $1
+ -*) { { echo "$as_me:4725: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
- *) { { echo "$as_me:4737: error: invalid argument: $1" >&5
+ *) { { echo "$as_me:4730: error: invalid argument: $1" >&5
echo "$as_me: error: invalid argument: $1" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -4975,7 +4968,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:4978: creating $ac_file" >&5
+ { echo "$as_me:4971: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -4993,7 +4986,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:4996: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:4989: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -5006,7 +4999,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:5009: error: cannot find input file: $f" >&5
+ { { echo "$as_me:5002: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;